WC(1)

NAME
wc - word, line, and byte count

SYNOPSIS
wc [-clw] file ...

DESCRIPTION
The wc utility displays the number of lines, words, and bytes contained in each input file (or standard input, by default) to the standard output. A line is defined as a string of characters delimited by a <newline> character, and a word is defined as a string of characters delimited by white space characters. White space characters are the set of characters for which the isspace(3) function returns true. If more than one input file is specified, a line of cumulative counts for all the files is displayed on a separate line after the output for the last file.

The following options are available:

-c  The number of bytes in each input file is written to the standard output.

-l  The number of lines in each input file is written to the standard output.

-w  The number of words in each input file is written to the standard output.

When an option is specified, wc only reports the information requested by that option. The default action is equivalent to specifying all of the flags.

If no files are specified, the standard input is used and no file name is displayed.

The wc utility exits 0 on success, and >0 if an error occurs.

ATTRIBUTIONS
This command was ported from FreeBSD source code for distribution with GNO/ME 2.0.6.

SEE ALSO
isspace(3)

COMPATIBILITY
Historically, the wc utility was documented to define a word as a ``maximal string of characters delimited by <space>, <tab> or <newline> characters''. The implementation, however, didn't handle non-printing characters correctly so that `` ^D^E '' counted as 6 spaces, while ``foo^D^Ebar'' counted as 8 characters. 4BSD systems after 4.3BSD modified the implementation to be consistent with the documentation. This implementation defines a ``word'' in terms of the isspace(3) function, as required by POSIX.2.

STANDARDS
The wc function conforms to POSIX.2.